# Tests

## Prérequis de l'environnement de test

- Python >= 3.10
- Accès réseau sur :
    - l'instance GitLab : <https://gitlab.gpf-tech.ign.fr>
    - le dépôt officiel de paquets Python : <https://pypi.org/>
- un jeton d'accès personnel (_Personal Access Token (PAT)_) avec le scope `read_api` ou a minima `read_registry`. Voir la page [Authentification](/usage/authentication).
- Avoir conda installé (nécessaire une seule fois sur la machine) :
```bash
mkdir -p ~/miniconda3
wget https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh -O ~/miniconda3/miniconda.sh
bash ~/miniconda3/miniconda.sh -b -u -p ~/miniconda3
rm -rf ~/miniconda3/miniconda.sh
~/miniconda3/bin/conda init zsh
```

- Installer l'environnement conda :
```bash
conda create -y -n gpf-common-point-cloud -c conda-forge proj python-pdal pdal entwine=3.1.1
```

- Redémarrer sa console (ouvrir un nouvel onglet ou une nouvelle fenêtre)

- Installer les dépendances requises pour les tests :
```sh
pip install -U -r requirements/testing.txt
```

## Exécution

```bash
pytest
```
