#! python3  # noqa: E265

"""Metadata bout the package to easily retrieve informations about it.

See: https://packaging.python.org/guides/single-sourcing-package-version/
"""

from datetime import date

__all__ = [
    "__author__",
    "__copyright__",
    "__email__",
    "__license__",
    "__summary__",
    "__title__",
    "__uri__",
    "__version__",
]

__author__ = "Worldline"
__copyright__ = f"2024 - {date.today().year}, {__author__}"
__email__ = "dl-fr-ign-gpf-dev@worldline.com"
__executable_name__ = "gpf-common-point-cloud"
__package_name__ = "gpf_common_point_cloud"
__keywords__ = ["IGN", "Géoplateforme", "utils", "helpers", "common"]
__license__ = "MIT"
__summary__ = "Utilitaires de manipulation de données point cloud et assimilées"
__title__ = "IGN Géoplateforme Point Cloud Common"
__title_clean__ = "".join(e for e in __title__ if e.isalnum())
__uri_homepage__ = (
    "https://geoplateforme.pages.gpf-tech.ign.fr/common-py/gpf-common-point-cloud"
)
__uri_repository__ = (
    "https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud"
)
__uri_tracker__ = f"{__uri_repository__}/issues/"
__uri__ = __uri_repository__

__version__ = "1.6.0"
__version_info__ = tuple(
    [
        int(num) if num.isdigit() else num
        for num in __version__.replace("-", ".", 1).split(".")
    ]
)
